> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/candidates-api/documents/list-candidate-documents.md).

# List candidate documents

This endpoint lets you retrieve all attached documents for a given candidate\_reference.

{% hint style="info" %}
&#x20;This endpoint requires `documents_r`, and `candidates_r` or `my_candidates_r` scopes.
{% endhint %}

## candidate documents

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/documents`

#### Query Parameters

| Name                                                   | Type    | Description                  |
| ------------------------------------------------------ | ------- | ---------------------------- |
| candidate\_reference<mark style="color:red;">\*</mark> | string  | Candidate reference          |
| per\_page                                              | integer | Number of documents per page |
| page                                                   | integer | Page offset                  |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "id": 20,
    "job_reference": "WTTJ_KmqkD1Y",
    "candidate_reference": "wttj-d655345409a6097309156b05",
    "filename": "example",
    "file_url": "http://example.com/example.pdf",
    "size": 433994,
    "content_type": "application/pdf",
    "created_at": "2018-01-08T11:46:02.990+01:00"
  },
  ...
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/documents" \
    -d "candidate_reference=wttj-d655345409a6097309156b05" \
    -H "Authorization: Bearer WK_API_KEY"
```
